petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorDefaultField

Monitors progress of the SNES solvers, separated into fields.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorDefaultField(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| its | - iteration number Many br
| fgnorm | - 2-norm of residual Many br
| ctx | - the PetscViewer Many br

### Notes

This routine uses the DM attached to the residual vector Many br

Many br

### Keywords

SNES, nonlinear, field, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution(), SNESMonitorDefault(), SNESMonitorDefaultShort()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages